Sprinklr interview experience Real time questions & tips from candidates to crack your interview

Full Stack Engineer

Sprinklr
upvote
share-icon
4 rounds | 11 Coding problems

Interview preparation journey

expand-icon
Preparation
Duration: 6 Months
Topics: Data structures and Algorithms, Object Oriented Programming, Operating Systems, Database Managament System, Computer Networks, System Design
Tip
Tip

Tip 1 : Practice data structures and algorithms daily.
Tip 2 : Do at least one project and be ready with any type of questions based on the project.
Tip 3 : Have a proper understanding of all the CS fundaments and OOPs concepts.
Tip 4 : If you have have learn basics of system design.

Application process
Where: Campus
Eligibility: 7 CGPA
Resume Tip
Resume tip

Tip 1 : Do not mention such skills in which you are not so confident.
Tip 2 : Have at least one project.
Tip 3 : Do not keep so much of empty spaces.
Tip 4 : Use hyperlinks to attach your programming accounts and project (if it is hosted somewhere or else github).

Interview rounds

01
Round
Hard
Online Coding Test
Duration90 minutes
Interview date25 Aug 2021
Coding problem3

Test was conducted on Hackerearth. 
Test consist of 3 questions (1 medium strings related question + 1 hard digit dp question + 1 hard lazy segment tree question)

1. Given a string, find the next smallest palindrome

Easy
12m average time
80% success
0/40
Asked in companies
ZomatoBig BasketQuikr

You are given a number 'N' in the form of a string 'S', your task is to find the smallest number strictly greater than the given number 'N' which is a palindrome.

Note:

1) A palindrome is a word, number, phrase, or another sequence of characters that reads the same backward as forward, such as 'naman', 'abcba', '1234321', etc
2) The numerical value of the given string 'S' will be greater than 0.
3) A single-digit number is also considered as a palindrome.
4) Note that the length of the string 'S' is nothing but the number of digits in the number 'N'.
Try solving now

2. Count all sub-arrays having sum divisible by k

Moderate
15m average time
85% success
0/80
Asked in companies
MicrosoftSnapdealProtium

Given an array ‘ARR’ and an integer ‘K’, your task is to find all the count of all sub-arrays whose sum is divisible by the given integer ‘K’.

Note:
If there exists no subarray in the given sequence whose sum is divisible by ‘K’ then simply return ‘0’.
Example:
Suppose the given array is ‘ARR’ = { 5, 0, 2, 3, 1} and ‘K = 5’.
As we can see in below image, there are a total of 6 subarrays that have the total sum divisible by ‘K’
So we return the integer 6.

subsequence

Try solving now

3. Minimum Operations To Make Array Equal

Easy
10m average time
90% success
0/40
Asked in companies
ZomatoOracleDunzo

You are given an array ‘ARR’ of length ‘N’ which is filled with the values such that ARR[i] = (2*i + 1). You have to perform operations on the ‘ARR’ to make all elements of the array equal. In one operation, you can choose two elements from the array ‘ARR’ say ‘i’ and ‘j’, and can increment the value of ‘ARR[i]’ by one and decrement the value of ‘ARR[j]’ by one.

You have to find the minimum number of operations to make all the elements of the array ‘ARR’ equal. It is guaranteed that all elements of the array can be made equal using some operations.

Try solving now
02
Round
Medium
Video Call
Duration90 Minutes
Interview date1 Sep 2021
Coding problem5

Timing : 8:00 am - 9:30 am
The interview took place on google meet. The interviewer gave 1 coding question on google docs and have to write the code on google doc itself.
After 45 minutes a second interviewer came in the same meeting and he also gave a coding question in the same google doc.

1. Rank from Stream

Moderate
15m average time
85% success
0/80
Asked in companies
Morgan StanleyMicrosoftOla

You are given an array of ‘N’ integers say ‘ARR’ and provided with other integer say ‘K’. Now you have to find the Rank of ‘ARR[K]’.

Note:

The rank of any element in ‘ARR’ is equal to the number of smaller elements than ‘ARR[K]’ on its left side.

For example :

Input :
Let ‘ARR’’ = [6, 2, 9, 7] and ‘X’ = 3.
We can see there are two smaller elements than ‘ARR[3]’ = 7 on its left side
Output: 2

Follow Up :

Try to find rank in less time complexity than O(N), you may use some data structure to implement this.
Try solving now

2. Edit Distance

Moderate
30m average time
70% success
0/80
Asked in companies
OptumSAP LabsDunzo

You are given two strings 'S' and 'T' of lengths 'N' and 'M' respectively. Find the "Edit Distance" between the strings.

Edit Distance of two strings is the minimum number of steps required to make one string equal to the other. In order to do so, you can perform the following three operations:

1. Delete a character
2. Replace a character with another one
3. Insert a character
Note:
Strings don't contain spaces in between.
Try solving now

3. OS Questions

Process vs thread
why we do threading, advantages of multithreading.
What is context switching?
Where do we store the process data when we do the context switching.
Memory layout of process.
What fields change when we do context switching (process context switching and thread context switching both)

4. DBMS Questions

What is concurrency control is dbms.
How is synchronization done in readers and writers.

5. Technical Questions

Explain meta tags in HTML

What Is Load Balancing?

Explain the CSS “box model” and the layout components that it consists of

03
Round
Medium
Video Call
Duration60 Minutes
Interview date1 Sep 2021
Coding problem2

Timing : 10:30 am - 11:30 am
The interview took place on google meet. The interviewer gave 1 coding question on google docs and have to write the code on google doc itself.

1. Count of Smaller Elements

Hard
45m average time
55% success
0/120
Asked in companies
AppleOYOAdobe

Given an array of size 'N' return the count array such that COUNT[i] equals the number of element which are smaller than ARR[ i ] on its the right side.

For Example : ARR = [4,2,1,5] the count array corresponding to the given array is :-.

The Number of elements smaller than 4 on its right side is 2.
The Number of elements smaller than 2 on its right side is 1.
The Number of elements smaller than 1 on its right side is 0.
The Number of elements smaller than 5 on its right side is 0.
Hence the count array is [2,1,0,0]
Try solving now

2. OS Questions

What is critical section.
How does mutex work.
How does semaphores work and how it is implemented.
Binary vs counting semaphores.
Difference betweek mutex and binary semaphore.
Can we replace a code written with mutex by semaphores.
what are spinlocks.
Advantages and disadvantages of spinlocks.

04
Round
Easy
HR Round
Duration15 Minutes
Interview date1 Sep 2021
Coding problem1

Timing : 11:45am - 12:00 pm.
The interview took place on google meet.

1. Basic HR Questions

Introduce yourself.
Tell me about your family and friends.
Tell me somthing that you love to do.
What do you expect from Sprinklr.
Where do you want to see yourself from 3-4 years from now.

Problem approach

Tip 1 : Be confident while giving the answer
Tip 2 : Be honest while sharing your thoughts.
Tip 3 : Be prepared with your answers for the most asked HR interview questions.

Here's your problem of the day

Solving this problem will increase your chance to get selected in this company

Skill covered: Programming

How do you create a function in JavaScript?

Choose another skill to practice
Start a Discussion
Similar interview experiences
company logo
SDE - 1
2 rounds | 4 problems
Interviewed by Sprinklr
828 views
0 comments
0 upvotes
company logo
SDE - 1
2 rounds | 4 problems
Interviewed by Sprinklr
593 views
0 comments
0 upvotes
company logo
Product Engineer
3 rounds | 5 problems
Interviewed by Sprinklr
380 views
0 comments
0 upvotes
company logo
SDE - 1
3 rounds | 14 problems
Interviewed by Sprinklr
3436 views
0 comments
0 upvotes